
const { StandardRegistry } = require('src/standard-registry');
const { GoogleRegistry } = require('src/google-registry');
const { AmazonRegistry } = require('src/amazon-registry');

const registryClasses = {
    google: GoogleRegistry,
    amazon: AmazonRegistry,
    standard: StandardRegistry
}

exports.createRegistry = (options) => {
    const kind = options.kind;
    const RegistryClass = registryClasses[kind];

    return new RegistryClass(options);
}
